====== inet-3.x ======

2017-10-02  ------ inet-3.6.2 released ------

2017-07-06  ------ inet-3.6.1 released ------

2017-06-09  ------ inet-3.6.0 released ------

2017-02-20  ------ inet-3.5.0 released ------

2017-01-05  Zoltan Bojthe

	lwIP: added KLUDGE for eliminate compiler warnings

	when using precompiled header, netinet/in.h always included and defines
	INADDR_NONE, ... etc. macros

2016-09-22  Zoltan Bojthe

	omnetpp5: add/use refreshDisplay()

2016-07-20  Zoltan Bojthe

	tcp extras: fixed compiler warnings

2016-09-19  Zoltan Bojthe

	omnetpp5: remove obsolete omnetpp 4.x code (#if OMNETPP_VERSION < 0x500)

2016-06-15  ------ inet-3.4.0 released ------

2016-06-01  ------ inet-3.3.0 released ------

2016-04-06  ------ inet-3.2.4 released ------

2016-03-16  ------ inet-3.2.3 released ------

2016-03-11  ------ inet-3.2.2 released ------

2016-01-21  ------ inet-3.2.1 released ------

2015-12-16  ------ inet-3.2.0 released ------

2015-10-26  ------ inet-3.1.1 released ------

2015-10-15  ------ inet-3.1.0 released ------

2015-06-22  ------ inet-3.0.0 released ------

2015-05-13  ------ inet-2.99.1 released ------

2015-01-21  Zoltan Bojthe

	Applied C++ source code modernizer.

2014-11-28  Zoltan Bojthe

	Fixed defects found by static code analyzer (Coverity).

2014-11-13  Zoltan Bojthe

	Fixed memory management problems found by valgrind memcheck.

2014-11-07  ------ inet-2.99.0 released ------

2014-09-18  Andras Varga

	Moved all sources under the src/inet directory, so that all #include
	statements begin with "inet/". The motivation is to rule out potential
	filename clashes when multiple model frameworks are used together.

	HINT: You can use the "opp_githist" command in inet/_scripts to find
	all previous locations of the sources in this directory, and to view
	the full history in gitk. Normal invocations of gitk can only show
	file history back to the most recent move operation.

2014-07-30  Andras Varga

	Changes on the inet-3.x branch so far:

	Code formatting (Zoltan Bojthe)
	- using uncrustify, see _scripts/reformat/*
	- common style for header guards

	Namespace (Zoltan Bojthe, Zsolt Prontvai)
	- code has been moved into the inet namespace

	Init stages (Zoltan Bojthe, Andras Varga)
	- init stages: reorganized by layers

	Signals (Zoltan Bojthe)
	- replace INotifiable and NotificationBoard by signals for
	  publish/subscribe communication

	Logging (Zoltan Bojthe, Benjamin Seregi)
	- EV log statements revised and categorized: EV_ERROR, EV_WARN,
	  EV_INFO, EV_DETAIL, EV_DEBUG, EV_TRACE

====== inet-2.x ======

2015-03-04  ------ inet-2.6 released ------

2014-11-07  ------ inet-2.5.1 released ------

2014-10-29  ------ inet-2.5.0 released ------

2014-06-12  ------ inet-2.4.0 released ------

2014-03-19  ------ inet-2.3.0 released ------

2014-01-15  Zoltan Bojthe

	backported registerProtocol

2013-11-18  Zoltan Bojthe

	TCP_NSC/TCP_LWIP: icon was misseing in ned files

2013-09-27  Andras Varga

	ev.printf is going to be removed in OMNeT++ 5.0

2013-09-20  Andras Varga

	ev->EV and related OMNeT++ 5.0 logging compatible fixes

2013-08-22  ------ inet-2.2.0 released ------

2013-04-17  Zoltan Bojthe

	TCP_lwIP,TCP_NSC: added ILifecycle as base class, but operations throw
	error for now:
	- throw error when nodeStatus is not UP in initialize()
	- throw error when a lifecycle operation arrives

2013-01-30  ------ inet-2.1.0 released ------

2012-11-15  Zoltan Bojthe

	Now using localPort in active_open. Previously
	active open ignored localPort parameter.

2012-08-07  ------ inet-2.0.0 released ------

2012-06-25  ------ inet-1.99.5 released ------

2012-03-20  ------ inet-1.99.4 released ------

2012-03-04  Zoltan Bojthe

	ICMP messages are correctly handled now.

2012-02-24  ------ inet-1.99.3 released ------

2012-02-08  Andras Varga

	TCP (INET,lwIP,NSC): renamed DataStreamQueue classes to ByteStreamQueue

2012-01-05  Zoltan Bojthe

	TCP msg based receive queues bugfix: seqno used as map index:
	Replaced map<seqno,cPacket> with list<struct {seqno, cpacket}> and
	rewritten insertion and removal to keep items in order of seqnos

2012-01-05  Zoltan Bojthe

	TCP_LWIP: remove unused cOutVectors

2011-12-20  Zoltan Bojthe

	TCP bugfix: set msg kind in status response to TCP_I_STATUS

2011-11-18  ------ INET-1.99.2 released ------

2011-09-15  Zoltan Bojthe

	Fixes for ev.disable_tracing

	Also copied back old updateDisplayString() function to SCTP

2011-07-19  Andras Varga

	cPolymorphic -> cObject (cPolymorphic became cObject in OMNeT++ 4.0)

2011-06-03  Andras Varga

	cosmetics: space usage made somewhat more consistent throughout the code

	Notes:
	- if you have an INET fork and want to compare the code, use the
	 "Ignore spaces" option of your visual diff tool. Most tools have
	 this option; Meld and Araxis Merge certainly do.

	- I used omnetpp/_scripts/tidymodel/spaces.pl, plus some manual tweaks

2011-05-30  ------ INET-1.99.1 released ------

2011-05-28  Andras Varga

	cosmetics: end-line spaces removed, using spaces.pl in OMNeT++.

2011-05-27  Andras Varga

	tab-to-space in all source files

2011-05-27  Zoltan Bojthe

	TCP_lwIP: rename TCP_lwip to TCP_lwIP

2011-05-26  Zoltan Bojthe

	Renamed IP... classes to IPv4... or IPvX...

2011-04-18  Zoltan Bojthe

	TCP_LWIP, TCP_NSC: code style, #include

2011-04-18  Zoltan Bojthe

	TCP_LWIP: MSG based queue fixes

2011-03-18  Zoltan Bojthe

	code styling

2011-03-08  Zoltan Bojthe

	Features: TCP_BASE, TCP_INET features added

2011-03-03  Zoltan Bojthe

	features: TCP_NSC, TCP_lwip, IPv6 completed

2011-03-17  Zoltan Bojthe

	TCP, TCP_LWIP: Fixes from Thomas Reschka, 2011-03-13

	Fix for bug #269, add/modify documentation, rename one function,
	codestyle.

2011-03-11  Zoltan Bojthe

	TCP_LWIP: remove some unwanted include

	Is it Fix for Bug269? Must test compilation on windows.

2011-03-03  ------ INET-1.99.0 released ------

2011-03-01  Zoltan Bojthe

	TCP_LWIP: modify directory structure, code styling

2011-02-28  Zoltan Bojthe

	NEDDOC: Fixes in TCP documentations

2011-02-28  Zoltan Bojthe

	TCP_LWIP: identically changes

2011-02-28  Zoltan Bojthe

	ITCP, TCP_lwip, TCP_NSC, TCPCommand: modify documentations

2011-02-25  Zoltan Bojthe

	ITCP, TCP, TCP_lwip, TCPCommand: modify documentations

2011-02-24  Zoltan Bojthe

	TCP, TCP_NSC, TCP_lwip: implemented "bytestream" transfer modes

	also refactoring of queues for "object" and "bytecount" transfer modes

2011-02-24  Zoltan Bojthe

	Eliminate compile warnings

2011-02-24  Zoltan Bojthe

	Obsolete parameters in NED files

2011-02-23  Zoltan Bojthe

	TCP* : create an error when using old sendQueueClass / receiveQueueClass
	parameters

2011-02-22  Andras Varga

	Swiched NED documentation comments to explicit hyperlinking of NED
	type names, using tilde. Example: "TCP" was changed to "~TCP"
	wherever the module and not the protocol was meant.

	The reason for the switch was that autolinking produced too many
	false hits (e.g. "TCP connection" and "IP address" would link
	to the TCP and IP modules.)

2011-02-15  Zoltan Bojthe

	TCP_LWIP: put debug info to EV

	To enable/disable LWIP DEBUG you must edit only the lwipopts.h

2011-01-11  Zoltan Bojthe

	tcp*: remove some FIXME, correcting tcpEV macro

2011-01-10  Zoltan Bojthe

	Code style changes:

	- tab-to-space conversion
	- '{' to new line
	- too long lines
	- remove trailing whitespace from lines
	- indentation

2010-12-10  Zoltan Bojthe

	lwip: rename unneccessary header files

2010-12-10  Zoltan Bojthe

	lwip: add an orig file

2010-05-26  Zoltan Bojthe

	implementing updateDisplayString() function

2010-05-26  Zoltan Bojthe

	Remove unused program lines

2010-05-25  Zoltan Bojthe

	rename TCPdataTransferMode to TCPDataTransferMode

2010-05-20  Zoltan Bojthe

	change method of sendqueue/receivequeue creating

2010-05-20  Zoltan Bojthe

	change "opp_error()" calls to "throw cRuntimeError()"

2010-05-20  Zoltan Bojthe

	Modify README file and delete TODO file

2010-05-20  Zoltan Bojthe

	eliminate some compiler warnings

2010-05-19  Zoltan Bojthe

	modify TCP_LWIP for using TCPdataTransferMode

2010-05-17  Zoltan Bojthe

	minor: change some "assert()" to "ASSERT()"

2010-05-17  Zoltan Bojthe

	bugfix: eliminate assert at LWIP_EVENT_POLL when pcb state is SYN_RCVD

2010-05-14  Zoltan Bojthe

	add parameter tests

2010-05-14  Zoltan Bojthe

	add logs

2010-05-14  Zoltan Bojthe

	calculate total sending bytes, change some member variables to protected

2010-05-14  Zoltan Bojthe

	received bytes is in the 'tot_len', not in the 'len'

2010-05-07  Zoltan Bojthe

	crete assert when send a packet with content but the conn is undefined.

2010-05-07  Zoltan Bojthe

	optimising code of createSegmentWithBytes() function

2010-05-07  Zoltan Bojthe

	refactoring send_data() function

2010-05-07  Zoltan Bojthe

	Add statistics for tcp-lwip

2010-05-07  Zoltan Bojthe

	bugfix: if lwip concatenate unsent buffers, the valid length is in the
	'tot_len'

2010-05-03  Zoltan Bojthe

	get/set IPv6 message controlinfo

2010-05-03  Zoltan Bojthe

	IP header length definitions

2010-04-30  Zoltan Bojthe

	initial commit for lwip6: change u32_t ip_addr to IPvXAddress

2010-04-30  Zoltan Bojthe

	modify TODO

2010-04-19  Zoltan Bojthe

	add a TODO for begins twp_lwip on ipv6

2010-04-30  Zoltan Bojthe

	Msg based receive queue: correcting seqno calculation

2010-04-30  Zoltan Bojthe

	change indentation TAB to spaces, remove unused files

2010-04-30  Zoltan Bojthe

	delete allocated objects in destructor

2010-04-29  Zoltan Bojthe

	change comments

2010-04-29  Zoltan Bojthe

	bugfix for msg based send queue

2010-04-29  Zoltan Bojthe

	set name of tcp segments

2010-04-29  Zoltan Bojthe

	prevent copy constructor, correcting destructors.

2010-04-29  Zoltan Bojthe

	correcting condition of lwip tick timer restarting

2010-04-27  Zoltan Bojthe

	Msg based queue changes

2010-04-27  Zoltan Bojthe

	remove unused lines, and add some comments

2010-04-27  Zoltan Bojthe

	close() waiting for sending all buffered data

2010-04-27  Zoltan Bojthe

	Add sequence number comparator for payloadListM map

2010-04-27  Zoltan Bojthe

	delete allocated objects in destructor

2010-04-27  Zoltan Bojthe

	remove loadStack() function, integrate to initialize()

2010-04-27  Zoltan Bojthe

	schedule fasttimer only when connection is active

2010-04-27  Zoltan Bojthe

	remove slow timer msg

2010-04-27  Zoltan Bojthe

	indication to app: CLOSED/PEER_CLOSED

2010-04-21  Zoltan Bojthe

	adding MsgBased queues, and change the interface of this

2010-04-01  Zoltan Bojthe

	callback tcp_recved when received a FIN

2010-04-01  Zoltan Bojthe

	optimising changes for minimalize diffs from original lwip files

2010-04-01  Zoltan Bojthe

	Add comments

2010-04-01  Zoltan Bojthe

	pointer conversions (should send back to LWIP)

2010-04-01  Zoltan Bojthe

	Add/Modify copyright informations

2010-04-01  Zoltan Bojthe

	Add orig LWIP files by name *.orig

2010-04-01  Zoltan Bojthe

	Add a README file

2010-04-01  Zoltan Bojthe

	merge and rename files

2010-03-31  Zoltan Bojthe

	TCP_LWIP initial revision
